0

Since updating to EE 3.4.0, I keep getting an annoying notification that there's new junk in the dev-logs. And there, I only find this ... which seems to be done by the almighty CE Image.

Deprecated function xss_clean() called in /var/www/html/svenskakakel.se/public_html/system/user/addons/ce_img/libraries/Ce_image.php on line 664.
From template tag exp:ce_img:pair in keramik/produkt.
Deprecated since 3.0. Use ee('Security/XSS')->clean() instead.

Any ideas on how to solve this?

CE Image is supposedly for EE3 now, but, is it really? :)

I'm running PHP 5.6.24 (after downgrading from php 7 which, if you ask me, is not good for EE-enviroment yet).

  • Did you send them an email with a description of the issue? You can also find the line in the plugin where xss_clean() is called and replace it with ee('Security/XSS')->clean() – Jim Wyse Aug 9 '16 at 15:31
2

CE Image 3.0.1 has been released and should take care of those pesky deprecation notices.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.